#!/bin/sh

export PYTHONPATH=..:$PYTHONPATH

cd `pwd`/`dirname $0`

python-coverage -e
for i in `ls test_*.py`; do
    python-coverage run -a $i $*
done

python-coverage html -d /tmp/opaal-testcov/ -i --omit=/usr/share
python-coverage report -i --omit=/usr/share
echo To view report in HTML, open file:///tmp/opaal-testcov/index.html
